.gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.5rem;
  place-items: center;
}

.gallery a {
  position: relative;
  margin: 0;
  padding: 0;
  width: 100%;
  aspect-ratio: 1;
  display: flex;
}

.gallery img {
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
  width: 100%;
  aspect-ratio: 1;
  box-shadow: 2px 2px 10px var(--color-honey);
  border-radius: 1rem;
}
.gallery a:hover {
  z-index: 1;
}
/* Responsive Styles for Mobile */
@media (max-width: 768px) {
  .gallery {
    grid-template-columns: repeat(2, 1fr); /* 2 columns on tablets */
    gap: 1rem;
  }
}

@media (max-width: 576px) {
  .gallery {
    grid-template-columns: repeat(1, 1fr); /* 1 column on small screens */
    gap: 0.75rem;
  }

  .gallery img {
    border-radius: 0.5rem; /* Slightly smaller border radius */
    box-shadow: 1px 1px 5px var(--color-honey);
  }
}
